## haskell-midi 0.2.0.1

=== Makefile ===
ghci:
	ghci -i:src -Wall test/Main.hs

## haskell-midi 0.1.5.1

=== debian/changelog ===
haskell-midi (0.1.5.1-2build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Tue, 07 Jun 2011 09:18:37 +0100

haskell-midi (0.1.5.1-2) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Iain Lane ]
  * Standards-Version → 3.9.2, no changes required

 -- Iain Lane <laney@debian.org>  Fri, 27 May 2011 14:34:55 +0100

haskell-midi (0.1.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Sat, 08 May 2010 08:14:35 -0430

haskell-midi (0.1.5-1) unstable; urgency=low

  [ Ernesto Hernández-Novich (USB) ]
  * Initial release (Closes: 575319)

  [ Marco Túlio Gontijo e Silva ]
  * source/format: Use 3.0 (quilt).

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 24 Mar 2010 16:57:37 -0430

=== debian/control ===
Source: haskell-midi
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Ernesto Hernández-Novich (USB) <emhn@usb.ve>
Build-Depends: debhelper (>= 7), cdbs, haskell-devscripts (>= 0.7),
 ghc, ghc-prof,
 libghc-non-negative-dev, libghc-non-negative-prof,
 libghc-transformers-dev (>= 0.2),
 libghc-transformers-dev (<< 0.3),
 libghc-transformers-prof,
 libghc-explicit-exception-dev, libghc-explicit-exception-prof,
 libghc-binary-dev, libghc-binary-prof,
 libghc-monoid-transformer-dev, libghc-monoid-transformer-prof,
 libghc-event-list-dev, libghc-event-list-prof,
 libghc-quickcheck2-dev, libghc-quickcheck2-prof
Build-Depends-Indep: ghc-doc,
 libghc-non-negative-doc,
 libghc-transformers-doc,
 libghc-explicit-exception-doc,
 libghc-binary-doc,
 libghc-monoid-transformer-doc,
 libghc-event-list-doc
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/midi
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-midi
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=haskell/haskell-midi

Package: libghc-midi-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: MIDI message and file handling
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides data types and functions for handling realtime
 MIDI messages, reading and writing MIDI files. It does not provide
 means for sending nor receiving MIDI messages to specific interfaces.

Package: libghc-midi-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: MIDI message and file handling; profiling libraries
 This package provides a library for the Haskell programming language
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides data types and functions for handling realtime
 MIDI messages, reading and writing MIDI files. It does not provide
 means for sending nor receiving MIDI messages to specific interfaces.

Package: libghc-midi-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: MIDI message and file handling; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides data types and functions for handling realtime
 MIDI messages, reading and writing MIDI files. It does not provide
 means for sending nor receiving MIDI messages to specific interfaces.

## haskell-midi 0.1.5.2

=== debian/changelog ===
haskell-midi (0.1.5.2-1) unstable; urgency=low

  * New upstream release
  * Fix Build-depends 

 -- Joachim Breitner <nomeata@debian.org>  Mon, 05 Sep 2011 16:25:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,27 @@
 Uploaders: Ernesto Hernández-Novich (USB) <emhn@usb.ve>
 Build-Depends: debhelper (>= 7), cdbs, haskell-devscripts (>= 0.7),
  ghc, ghc-prof,
- libghc-non-negative-dev, libghc-non-negative-prof,
+ libghc-event-list-dev (>= 0.0.9),
+ libghc-event-list-dev (<< 0.2),
+ libghc-event-list-prof,
+ libghc-non-negative-dev (>= 0.0.1),
+ libghc-non-negative-dev (<< 0.2),
+ libghc-non-negative-prof,
+ libghc-explicit-exception-dev (>= 0.1),
+ libghc-explicit-exception-dev (<< 0.2),
+ libghc-explicit-exception-prof,
+ libghc-binary-dev (>= 0.4.2),
+ libghc-binary-dev (<< 0.6),
+ libghc-binary-prof,
  libghc-transformers-dev (>= 0.2),
  libghc-transformers-dev (<< 0.3),
  libghc-transformers-prof,
- libghc-explicit-exception-dev, libghc-explicit-exception-prof,
- libghc-binary-dev, libghc-binary-prof,
- libghc-monoid-transformer-dev, libghc-monoid-transformer-prof,
- libghc-event-list-dev, libghc-event-list-prof,
- libghc-quickcheck2-dev, libghc-quickcheck2-prof
+ libghc-monoid-transformer-dev (>= 0.0.1),
+ libghc-monoid-transformer-dev (<< 3),
+ libghc-monoid-transformer-prof,
+ libghc-quickcheck2-dev (>= 0.1),
+ libghc-quickcheck2-dev (<< 3),
+ libghc-quickcheck2-prof
 Build-Depends-Indep: ghc-doc,
  libghc-non-negative-doc,
  libghc-transformers-doc,

## haskell-midi 0.1.7.1

=== debian/changelog ===
haskell-midi (0.1.7.1-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 Feb 2012 16:53:38 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Uploaders: Ernesto Hernández-Novich (USB) <emhn@usb.ve>
 Build-Depends: debhelper (>= 7), cdbs, haskell-devscripts (>= 0.7),
  ghc, ghc-prof,
+ libghc-random-dev,
+ libghc-random-prof,
  libghc-event-list-dev (>= 0.0.9),
  libghc-event-list-dev (<< 0.2),
  libghc-event-list-prof,
@@ -14,8 +16,9 @@
  libghc-explicit-exception-dev (>= 0.1),
  libghc-explicit-exception-dev (<< 0.2),
  libghc-explicit-exception-prof,
- libghc-binary-dev (>= 0.4.2),
- libghc-binary-dev (<< 0.6),
+# libghc-binary-dev (>= 0.4.2), comes with GHC now
+# libghc-binary-dev (<< 0.6),
+ libghc-binary-dev,
  libghc-binary-prof,
  libghc-transformers-dev (>= 0.2),
  libghc-transformers-dev (<< 0.3),
@@ -27,6 +30,7 @@
  libghc-quickcheck2-dev (<< 3),
  libghc-quickcheck2-prof
 Build-Depends-Indep: ghc-doc,
+ libghc-random-doc,
  libghc-non-negative-doc,
  libghc-transformers-doc,
  libghc-explicit-exception-doc,

## haskell-midi 0.2.0.1

=== debian/changelog ===
haskell-midi (0.2.0.1-4build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 16 Jun 2013 21:32:06 +0100

haskell-midi (0.2.0.1-4) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:30 +0200

haskell-midi (0.2.0.1-3) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:24 +0200

haskell-midi (0.2.0.1-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Thu, 18 Oct 2012 10:25:50 +0200

haskell-midi (0.2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 15 May 2012 23:37:33 +0200

=== debian/control ===
Source: haskell-midi
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Ernesto Hernández-Novich (USB) <emhn@usb.ve>
Build-Depends: debhelper (>= 9), cdbs, haskell-devscripts (>= 0.8.15),
 ghc, ghc-prof,
 libghc-random-dev,
 libghc-random-prof,
 libghc-event-list-dev (>= 0.0.9),
 libghc-event-list-dev (<< 0.2),
 libghc-event-list-prof,
 libghc-non-negative-dev (>= 0.0.1),
 libghc-non-negative-dev (<< 0.2),
 libghc-non-negative-prof,
 libghc-explicit-exception-dev (>= 0.1),
 libghc-explicit-exception-dev (<< 0.2),
 libghc-explicit-exception-prof,
# libghc-binary-dev (>= 0.4.2), comes with GHC now
# libghc-binary-dev (<< 0.6),
 libghc-binary-dev,
 libghc-binary-prof,
 libghc-transformers-dev (>= 0.2),
 libghc-transformers-dev (<< 0.4),
 libghc-transformers-prof,
 libghc-monoid-transformer-dev (>= 0.0.1),
 libghc-monoid-transformer-dev (<< 3),
 libghc-monoid-transformer-prof,
 libghc-quickcheck2-dev (>= 0.1),
 libghc-quickcheck2-dev (<< 3),
 libghc-quickcheck2-prof
Build-Depends-Indep: ghc-doc,
 libghc-random-doc,
 libghc-non-negative-doc,
 libghc-transformers-doc,
 libghc-explicit-exception-doc,
 libghc-binary-doc,
 libghc-monoid-transformer-doc,
 libghc-event-list-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/midi
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-midi
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=haskell/haskell-midi

Package: libghc-midi-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: MIDI message and file handling${haskell:ShortBlurb}
 This library provides data types and functions for handling realtime
 MIDI messages, reading and writing MIDI files. It does not provide
 means for sending nor receiving MIDI messages to specific interfaces.
 .
 ${haskell:Blurb}

Package: libghc-midi-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: MIDI message and file handling${haskell:ShortBlurb}
 This library provides data types and functions for handling realtime
 MIDI messages, reading and writing MIDI files. It does not provide
 means for sending nor receiving MIDI messages to specific interfaces.
 .
 ${haskell:Blurb}

Package: libghc-midi-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: MIDI message and file handling${haskell:ShortBlurb}
 This library provides data types and functions for handling realtime
 MIDI messages, reading and writing MIDI files. It does not provide
 means for sending nor receiving MIDI messages to specific interfaces.
 .
 ${haskell:Blurb}

=== debian/watch ===
# See uscan(1) for format

version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|midi-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/midi \
    ([\d\.]*\d)/

## haskell-midi 0.2.1.3

=== debian/changelog ===
haskell-midi (0.2.1.3-1build1) utopic; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 10 Aug 2014 22:14:35 +0100

haskell-midi (0.2.1.3-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 06 Aug 2014 23:22:13 +0200

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,17 @@
  libghc-binary-dev,
  libghc-binary-prof,
  libghc-transformers-dev (>= 0.2),
- libghc-transformers-dev (<< 0.4),
+ libghc-transformers-dev (<< 0.5),
  libghc-transformers-prof,
  libghc-monoid-transformer-dev (>= 0.0.1),
  libghc-monoid-transformer-dev (<< 3),
  libghc-monoid-transformer-prof,
- libghc-quickcheck2-dev (>= 0.1),
+ libghc-quickcheck2-dev (>= 2.1),
  libghc-quickcheck2-dev (<< 3),
- libghc-quickcheck2-prof
+ libghc-quickcheck2-prof,
+ libghc-utility-ht-dev (>= 0.0.8),
+ libghc-utility-ht-dev (<< 0.1),
+ libghc-utility-ht-prof,
 Build-Depends-Indep: ghc-doc,
  libghc-random-doc,
  libghc-non-negative-doc,
@@ -36,7 +39,8 @@
  libghc-explicit-exception-doc,
  libghc-binary-doc,
  libghc-monoid-transformer-doc,
- libghc-event-list-doc
+ libghc-event-list-doc,
+ libghc-utility-ht-doc,
 Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/midi
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-midi

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_DEPENDENCIES = build-arch

DEB_ENABLE_TESTS = yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
http://hackage.haskell.org/package/midi/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
